waffle.util

## Class CorsPreflightCheck

- java.lang.Object
- - waffle.util.CorsPreflightCheck

    public class CorsPreflightCheck
    extends Object

The Class CorsPreflightCheck.

### Constructor Summary

Constructors
Constructor and Description
`CorsPreflightCheck()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPreflight(javax.servlet.http.HttpServletRequest request)` Checks if is preflight.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CorsPreflightCheck

    public CorsPreflightCheck()

### Method Detail

#### isPreflight

    public static boolean isPreflight(javax.servlet.http.HttpServletRequest request)

Checks if is preflight.

Parameters:
  `request` - the request
Returns:
  true, if is preflight